Skip to main content
PUT
/
v1
/
operational-webhook
/
endpoint
/
{id}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Update operational webhook endpoint
const endpoint = await solifyn.webhookEndpoint.update('ep_1srOrx2ZWZBpBUvZwXKQmoEYga2', {
  url: 'https://example.com/new-operational-webhook',
  disabled: false
});
console.log('Operational endpoint updated:', endpoint);
{
  "id": "ep_1srOrx2ZWZBpBUvZwXKQmoEYga2",
  "url": "https://example.com/webhook/",
  "description": "Production monitoring endpoint",
  "disabled": false,
  "filterTypes": [
    "message.attempt.failing"
  ],
  "throttleRate": 0,
  "createdAt": "2026-05-30T14:11:29.071Z",
  "updatedAt": "2026-05-30T14:11:29.071Z",
  "metadata": {
    "environment": "production"
  },
  "uid": "monitoring-prod-endpoint",
  "secret": "whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"
}

Path Parameters

id
string
required

The endpoint ID or UID

Body

application/json
url
string
required

The URL to send webhook events to.

Maximum string length: 65536
Example:

"https://example.com/new-webhook/"

description
string

Optional description for the endpoint.

Example:

"Updated monitoring endpoint"

disabled
boolean

Whether the endpoint is disabled.

Example:

true

filterTypes
string[]

The operational event types this endpoint will receive.

Example:
[
"message.attempt.failing",
"message.attempt.exhausted",
"endpoint.disabled"
]
metadata
object

Metadata key-value pairs associated with the endpoint.

Example:
{ "environment": "staging" }
throttleRate
number

Maximum messages per second to send to this endpoint.

Example:

10

uid
string

Optional unique user-defined identifier for the endpoint.

Example:

"monitoring-updated-endpoint"

Response

200 - application/json
id
string
required
Example:

"ep_1srOrx2ZWZBpBUvZwXKQmoEYga2"

url
string
required
Example:

"https://example.com/webhook/"

description
string
required
Example:

"Production monitoring endpoint"

disabled
boolean
required
Example:

false

filterTypes
string[]
required
Example:
["message.attempt.failing"]
throttleRate
number
required
Example:

0

createdAt
string<date-time>
required
Example:

"2026-05-30T14:11:29.071Z"

updatedAt
string<date-time>
required
Example:

"2026-05-30T14:11:29.071Z"

metadata
object
Example:
{ "environment": "production" }
uid
object
Example:

"monitoring-prod-endpoint"

secret
string

The endpoint's raw secret (only returned on POST creation).

Example:

"whsec_C2FVsBQIhrscChlQIMV+b5sSYspob7oD"